<script lang="ts">
import Vue from 'vue';
import { init } from 'aos';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import {
  CTA as CallToAction,
  Table as SlpTable,
} from '../../components/common/index';
import { getPageMetadata } from '~/common/meta';
import { SolutionsHero } from '~/components/solutions/index';
import {
  GetStartedMenu,
  GetStartedResources,
} from '~/components/get-started/index';
import { NextStep } from '~/components/common/index';

export default Vue.extend({
  components: {
    SlpTable,
    CallToAction,
    SolutionsHero,
    GetStartedMenu,
    GetStartedResources,
    NextStep,
  },
  async asyncData({ $content, error }) {
    try {
      const doc = await $content('get-started/index').fetch();
      return { doc };
    } catch (e) {
      error({ statusCode: 404 });
      return {};
    }
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).doc, this.$route.path);
  },
  beforeMount() {
    init({
      once: true,
    });
  },
});
</script>

<template>
  <div class="wrapper">
    <SlpContainer>
      <component
        :is="component.name"
        v-for="component in doc.components"
        :key="component.name"
        :data="component.data"
      />
    </SlpContainer>
    <SlpContainer variant="gradient">
      <NextStep />
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.wrapper {
  overflow: hidden;
}
</style>
